Package net.shibboleth.idp.plugin.authn.webauthn.policy

# Enum Class CredentialPolicy.CredentialPolicyOutcome

java.lang.Object
java.lang.Enum<CredentialPolicy.CredentialPolicyOutcome>
net.shibboleth.idp.plugin.authn.webauthn.policy.CredentialPolicy.CredentialPolicyOutcome

All Implemented Interfaces:
  `Serializable`, `Comparable<CredentialPolicy.CredentialPolicyOutcome>`, `Constable`

Enclosing interface:
  CredentialPolicy

public static enum CredentialPolicy.CredentialPolicyOutcome extends Enum<CredentialPolicy.CredentialPolicyOutcome>
Representation of the three outcomes of an CredentialPolicy.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACCEPT`
Allow the credential to be used.
`IGNORE`
The policy was not active and should be ignored.
`REJECT`
Reject the credential.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`CredentialPolicyOutcome()`

## Method Summary

Modifier and Type
Method
Description
`static CredentialPolicy.CredentialPolicyOutcome`
`of(boolean outcome)`
Helper method to create an `CredentialPolicy.CredentialPolicyOutcome` from a boolean flag.
`static CredentialPolicy.CredentialPolicyOutcome`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CredentialPolicy.CredentialPolicyOutcome[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ACCEPT

public static final CredentialPolicy.CredentialPolicyOutcome ACCEPT
Allow the credential to be used.

### REJECT

public static final CredentialPolicy.CredentialPolicyOutcome REJECT
Reject the credential.

### IGNORE

public static final CredentialPolicy.CredentialPolicyOutcome IGNORE
The policy was not active and should be ignored.

## Constructor Details

### CredentialPolicyOutcome

private CredentialPolicyOutcome()

## Method Details

### values

public static CredentialPolicy.CredentialPolicyOutcome[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CredentialPolicy.CredentialPolicyOutcome valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### of

@Nonnull public static CredentialPolicy.CredentialPolicyOutcome of(boolean outcome)
Helper method to create an `CredentialPolicy.CredentialPolicyOutcome` from a boolean flag.

Parameters:
  `outcome` - the boolean outcome
Returns:
  the outcome appropriate for the given boolean